# Executor Update

The sample rate defines the percentage of the bid opportunities that are forwarded to your endpoints. The sample rate can be adjusted by the client collectively for all endpoints of an executor. This feature is useful to manage and budget system utilization.

Endpoint: PATCH /custombidrouter/{org_id}/executors/{executor_id}
Security: oauth2

## Security:

  - `oauth2` (unknown)
    oauth2

## Path parameters:

  - `executor_id` (integer, required)
    The Executor ID identifies an Executor which provide a logical grouping for your Bid Valuation endpoints which are then applied to specific campaigns

  - `org_id` (integer, required)
    Your organization ID

  - `executor_id` (integer, required)
    _

  - `org_id` (integer, required)
    _

## Request body:

  - `application/json` (unknown)
    _

## Request fields (application/json):

  - `sample_rate` (integer)

## Response 200:

  - `200` (unknown)
    VAR_NAME is variable, the name of an executor

## Response 200 fields (application/json):

  - `data` (object)

  - `data.VAR_NAME` (object)

  - `data.VAR_NAME.endpoints` (array)

  - `data.VAR_NAME.endpoints.brain_type_id` (integer)

  - `data.VAR_NAME.endpoints.content_type` (string)

  - `data.VAR_NAME.endpoints.endpoint` (string)

  - `data.VAR_NAME.endpoints.endpoint_id` (string)

  - `data.VAR_NAME.endpoints.environment` (string)

  - `data.VAR_NAME.endpoints.logging` (object)

  - `data.VAR_NAME.endpoints.logging.logging_enabled` (boolean)

  - `data.VAR_NAME.endpoints.pop_ids` (array)

  - `data.VAR_NAME.endpoints.sample_rate` (integer)

  - `data.VAR_NAME.endpoints.upstream_enabled` (boolean)

  - `data.VAR_NAME.endpoints.endpoint_type` (string)

  - `data.VAR_NAME.executor_id` (integer)

  - `meta` (object)

  - `meta.status` (string)

## Response 200 examples:

  - `response` (unknown)

